Page MenuHomePhabricator

[CMake][runtimes] Support for building target variants
ClosedPublic

Authored by phosek on Aug 4 2017, 8:15 PM.

Details

Summary

This can be used to build non-sanitized and sanitized versions of
runtimes, where sanitized versions use the just built sanitizer
which in turn may use the non-sanitized version.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Aug 4 2017, 8:15 PM
phosek updated this revision to Diff 109850.Aug 4 2017, 8:24 PM
phosek updated this revision to Diff 110312.Aug 8 2017, 5:26 PM
beanz accepted this revision.Aug 10 2017, 5:02 PM

This looks pretty cool to me.

This revision is now accepted and ready to land.Aug 10 2017, 5:02 PM
This revision was automatically updated to reflect the committed changes.